<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ChvoteVotationBallotComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>chvote-votation-ballot</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./chvote-votation-ballot.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./chvote-votation-ballot.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#clean">clean</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ballotNumber">ballotNumber</a>
                            </li>
                            <li>
                                <a href="#buttonDisabled">buttonDisabled</a>
                            </li>
                            <li>
                                <a href="#display">display</a>
                            </li>
                            <li>
                                <a href="#verificationCodes">verificationCodes</a>
                            </li>
                            <li>
                                <a href="#votations">votations</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#isEmpty">isEmpty</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>, dialog: MatDialog)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:51</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="ballotNumber"></a>
                        <code>ballotNumber</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                            </p>
                        <p>
                            <em>Default value : </em><code>0</code>
                        </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="51" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:51</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="buttonDisabled"></a>
                        <code>buttonDisabled</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </p>
                        <p>
                            <em>Default value : </em><code>false</code>
                        </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:48</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="display"></a>
                        <code>display</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>&quot;ballot&quot; | &quot;summary&quot; | &quot;control&quot;</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:39</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="verificationCodes"></a>
                        <code>verificationCodes</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>string[]</code>

                            </p>
                        <p>
                            <em>Default value : </em><code>[]</code>
                        </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="45" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:45</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="votations"></a>
                        <code>votations</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/Votation.html" target="_self" >Votation[]</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:42</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="clean"></a>
                        <span class="name">
                            <b>
                            clean
                            </b>
                            <a href="#clean"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>clean()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:68</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isEmpty"></a>
                        <span class="name"><b>isEmpty</b><a href="#isEmpty"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isEmpty()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="59" class="link-to-prism">src/app/core/chvote-votation-ballot/chvote-votation-ballot.component.ts:59</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &quot;@angular/core&quot;;
import { Votation } from &#x27;../../model/votation&#x27;;
import { CurrentVotingService } from &#x27;../../operation/current-voting-service&#x27;;
import { ActivatedRoute, Router } from &#x27;@angular/router&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { ChvoteDialogComponent } from &#x27;../chvote-dialog/chvote-dialog.component&#x27;;

@Component({
  selector: &#x27;chvote-votation-ballot&#x27;,
  templateUrl: &#x27;./chvote-votation-ballot.component.html&#x27;,
  styleUrls: [&#x27;./chvote-votation-ballot.component.scss&#x27;]
})
export class ChvoteVotationBallotComponent {

  @Input()
  display: &#x27;ballot&#x27; | &#x27;summary&#x27; | &#x27;control&#x27;;

  @Input()
  votations: Votation[];

  @Input()
  verificationCodes: string[] &#x3D; [];

  @Input()
  buttonDisabled: boolean &#x3D; false;

  @Input()
  ballotNumber: number &#x3D; 0;

  constructor(private router: Router,
              private route: ActivatedRoute,
              private currentVotingService: CurrentVotingService,
              private dialog: MatDialog) {
  }

  get isEmpty(): boolean {
    for (let votation of this.votations) {
      if (this.currentVotingService.hasVotedFor(votation)) {
        return false;
      }
    }
    return true;
  }

  clean(): void {
    // display confirmation message
    this.dialog.open(ChvoteDialogComponent, {
      width: &#x27;500px&#x27;,
      disableClose: true,
      data: {
        messageKey: &#x27;ballot-list.dialog.confirm-cancel&#x27;,
        primaryButtonKey: &#x27;global.actions.yes&#x27;,
        secondaryButtonKey: &#x27;global.actions.no&#x27;
      }
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        CurrentVotingService.initVotationBallot(this.votations);
      }
    });
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;
&lt;div class&#x3D;&quot;form-note&quot;&gt;
  &lt;ol&gt;
    &lt;li *ngFor&#x3D;&quot;let votation of votations; index as ballotIndex&quot;
        class&#x3D;&quot;ballot&quot;&gt;

      &lt;chvote-ballot-header [ballot]&#x3D;&quot;votation&quot;
                            [display]&#x3D;&quot;display&quot;
                            [empty]&#x3D;&quot;isEmpty&quot;&gt;&lt;/chvote-ballot-header&gt;

      &lt;ol *ngIf&#x3D;&quot;display &#x3D;&#x3D;&#x3D; &#x27;ballot&#x27;&quot; class&#x3D;&quot;subjects-list&quot;&gt;
        &lt;li *ngFor&#x3D;&quot;let variantSubject of votation.variantSubjects; last as isLast&quot;
            class&#x3D;&quot;subject&quot;
            chvote-variant-subject-card
            [display]&#x3D;&quot;display&quot;
            [variantSubject]&#x3D;&quot;variantSubject&quot;
            [displaySeparator]&#x3D;&quot;!isLast || votation.subjects.length &gt; 0&quot;&gt;
        &lt;/li&gt;
        &lt;li *ngFor&#x3D;&quot;let subject of votation.subjects; last as isLast&quot;
            class&#x3D;&quot;subject&quot;
            chvote-subject-card
            [display]&#x3D;&quot;display&quot;
            [subject]&#x3D;&quot;subject&quot;
            [displaySeparator]&#x3D;&quot;!isLast&quot;
            [(selectedAnswer)]&#x3D;&quot;subject.bufferedAnswer&quot;&gt;
        &lt;/li&gt;
      &lt;/ol&gt;

      &lt;span *ngIf&#x3D;&quot;display !&#x3D;&#x3D; &#x27;ballot&#x27; &amp;&amp; isEmpty&quot; class&#x3D;&quot;empty-ballot&quot;&gt;{{&#x27;summary.choices.empty-ballot&#x27; | translate}}&lt;/span&gt;

      &lt;ol *ngIf&#x3D;&quot;display !&#x3D;&#x3D; &#x27;ballot&#x27; &amp;&amp; !isEmpty&quot; class&#x3D;&quot;subjects-list&quot;&gt;
        &lt;li *ngFor&#x3D;&quot;let variantSubject of votation.variantSubjects; last as isLast&quot;
            class&#x3D;&quot;subject&quot;
            chvote-variant-subject-card
            [display]&#x3D;&quot;display&quot;
            [variantSubject]&#x3D;&quot;variantSubject&quot;
            [displaySeparator]&#x3D;&quot;!isLast || votation.subjects.length &gt; 0&quot;&gt;
        &lt;/li&gt;
        &lt;li *ngFor&#x3D;&quot;let subject of votation.subjects; last as isLast&quot;
            class&#x3D;&quot;subject&quot;
            chvote-subject-card
            [display]&#x3D;&quot;display&quot;
            [subject]&#x3D;&quot;subject&quot;
            [displaySeparator]&#x3D;&quot;!isLast&quot;
            [(selectedAnswer)]&#x3D;&quot;subject.selectedAnswer&quot;&gt;
        &lt;/li&gt;
      &lt;/ol&gt;
    &lt;/li&gt;
  &lt;/ol&gt;
  &lt;div *ngIf&#x3D;&quot;display &#x3D;&#x3D;&#x3D; &#x27;ballot&#x27;&quot; class&#x3D;&quot;actions-ballot&quot;&gt;
    &lt;button id&#x3D;&quot;erase-button&quot;
            mat-raised-button
            class&#x3D;&quot;secondary&quot;
            (click)&#x3D;&quot;clean()&quot;&gt;
      {{ &#x27;global.actions.erase&#x27; | translate }}
      &lt;i class&#x3D;&quot;fas fa-undo&quot; data-fa-transform&#x3D;&quot;up-1 right-6&quot;&gt;&lt;/i&gt;
    &lt;/button&gt;
  &lt;/div&gt;
  &lt;div *ngIf&#x3D;&quot;display &#x3D;&#x3D;&#x3D; &#x27;summary&#x27; &amp;&amp; !isEmpty&quot; class&#x3D;&quot;actions-summary&quot;&gt;
    &lt;actions-on-ballots [ballots]&#x3D;&quot;votations&quot; isVotation&#x3D;&quot;true&quot; [disabled]&#x3D;&quot;buttonDisabled&quot;&gt;&lt;/actions-on-ballots&gt;
  &lt;/div&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./chvote-votation-ballot.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/

.form-note {
  padding: 0;
}

.subject,
.ballot {
  list-style: none;
}

ol {
  padding: 0;
  margin: 0;
}

.ballot {
  padding: 16px 12px;
}

.ballot:not(:last-child) {
  border-bottom: 1px solid #CCCCCC;
}

.subjects-list {
  list-style-type: decimal;
  padding: 0;
}

.actions-ballot,
.actions-summary {
  display: flex;
  padding: 20px;
  border-top: 1px solid #CCCCCC;
}

.actions-ballot {
  justify-content: center;
}

.actions-summary {
  justify-content: flex-end;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><div class="form-note">  <ol>    <li *ngFor="let votation of votations; index as ballotIndex"        class="ballot">      <chvote-ballot-header [ballot]="votation"                            [display]="display"                            [empty]="isEmpty"></chvote-ballot-header>      <ol *ngIf="display === \'ballot\'" class="subjects-list">        <li *ngFor="let variantSubject of votation.variantSubjects; last as isLast"            class="subject"            chvote-variant-subject-card            [display]="display"            [variantSubject]="variantSubject"            [displaySeparator]="!isLast || votation.subjects.length > 0">        </li>        <li *ngFor="let subject of votation.subjects; last as isLast"            class="subject"            chvote-subject-card            [display]="display"            [subject]="subject"            [displaySeparator]="!isLast"            [(selectedAnswer)]="subject.bufferedAnswer">        </li>      </ol>      <span *ngIf="display !== \'ballot\' && isEmpty" class="empty-ballot">{{\'summary.choices.empty-ballot\' | translate}}</span>      <ol *ngIf="display !== \'ballot\' && !isEmpty" class="subjects-list">        <li *ngFor="let variantSubject of votation.variantSubjects; last as isLast"            class="subject"            chvote-variant-subject-card            [display]="display"            [variantSubject]="variantSubject"            [displaySeparator]="!isLast || votation.subjects.length > 0">        </li>        <li *ngFor="let subject of votation.subjects; last as isLast"            class="subject"            chvote-subject-card            [display]="display"            [subject]="subject"            [displaySeparator]="!isLast"            [(selectedAnswer)]="subject.selectedAnswer">        </li>      </ol>    </li>  </ol>  <div *ngIf="display === \'ballot\'" class="actions-ballot">    <button id="erase-button"            mat-raised-button            class="secondary"            (click)="clean()">      {{ \'global.actions.erase\' | translate }}      <i class="fas fa-undo" data-fa-transform="up-1 right-6"></i>    </button>  </div>  <div *ngIf="display === \'summary\' && !isEmpty" class="actions-summary">    <actions-on-ballots [ballots]="votations" isVotation="true" [disabled]="buttonDisabled"></actions-on-ballots>  </div></div></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ChvoteVotationBallotComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ChvoteVotationBallotComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
